# Enum FileAccess

java.lang.Object
java.lang.Enum<FileAccess>
com.codename1.annotations.buildhints.FileAccess

All Implemented Interfaces:
  `Comparable<FileAccess>`

public enum FileAccess extends Enum<FileAccess>

How a sandboxed macOS application may reach files the user chooses.

`com.apple.security.files.user-selected.read-write` and its read-only sibling are two different entitlements, and neither is a yes/no: an application can ask for write access, for read access, or for nothing at all. A boolean cannot say which of the two it wants, which is why this is an enum -- expressing it as one would have made ON mean "some access, builder's choice" and OFF silently drop the read-write access that is the default.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEFAULT`
  Say nothing, and let the build server apply its own default.
  `NONE`
  No user-selected file access at all.
  `READ_ONLY`
  Read the files the user opened, without writing them back.
  `READ_WRITE`
  Read and write the files the user opened.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FileAccess`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static FileAccess[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DEFAULT

    public static final FileAccess DEFAULT
    Say nothing, and let the build server apply its own default.

  - ### READ_WRITE

    public static final FileAccess READ_WRITE
    Read and write the files the user opened. The build's default.

  - ### READ_ONLY

    public static final FileAccess READ_ONLY
    Read the files the user opened, without writing them back.

  - ### NONE

    public static final FileAccess NONE
    No user-selected file access at all.

- ## Method Details

  - ### values

    public static FileAccess[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static FileAccess valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null